Subject: Re: bug#494: lightdm: please add user lightdm to the audio group

From: B Stack <[email-masked]>
Date: Wed, 22 Jul 2020 08:39:03 -0400

Greg,

Thank you for this report! Adding lightdm to the audio group across the
board sounds harmless, so that will be the plan going forward. Changes to
this package will of course start in Unstable (Ceres) and have to be
backported to Beowulf. Please keep an eye on this bug for updates.

B. Stack

On Wed, Jul 22, 2020 at 1:01 AM Gregory Nowak <[email-masked]> wrote:

> Package: lightdm
> Version: 1.26.0-4
> Severity: normal
> Tags: a11y
>
> Dear Maintainer,
>
> Please add the lightdm user to the audio group.
> This is necessary so that the orca screen reader
> can provide speech output at the
> lightdm-gtk-greeter login screen.
> As far as I know, this is only needed when using the
> orca screen reader at the login screen.
> A possible side effect of adding lightdm
> to the audio group may lead users who do not use
> orca to question why lightdm is added to the audio
> group on their systems. Perhaps this should be done only if
> /etc/xdg/lightdm/lightdm.conf.d/80_orca-dm-wrapper.conf already exists?
> I am assuming it doesn't exist on a system which wasn't
> installed with accessibility, but I don't know that for sure.
> Thank you.
>
>
> -- System Information:
> Distributor ID: Debian
> Description:    Devuan GNU/Linux 3 (beowulf)
> Release:        3
> Codename:       beowulf
> Architecture: x86_64
>
> Kernel: Linux 4.19.0-9-amd64 (SMP w/16 CPU cores)
> Kernel taint flags: TAINT_CRAP
> Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8),
> LANGUAGE=en_US.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/dash
> Init: sysvinit (via /sbin/init)
> LSM: AppArmor: enabled
>
> Versions of packages lightdm depends on:
> ii  adduser                                3.118
> ii  dbus                                   1.12.16-1+devuan2
> ii  debconf [debconf-2.0]                  1.5.71
> ii  libaudit1                              1:2.8.4-3
> ii  libc6                                  2.28-10
> ii  libgcrypt20                            1.8.4-5
> ii  libglib2.0-0                           2.58.3-2+deb10u2
> ii  libpam-elogind [logind]                241.4-2
> ii  libpam0g                               1.3.1-5
> ii  libxcb1                                1.13.1-2
> ii  libxdmcp6                              1:1.1.2-3
> ii  lightdm-gtk-greeter [lightdm-greeter]  2.0.6-1
> ii  lsb-base                               10.2019051400
>
> Versions of packages lightdm recommends:
> ii  xserver-xorg  1:7.7+19
>
> Versions of packages lightdm suggests:
> ii  accountsservice  0.6.45-2
> ii  upower           0.99.10-1
> pn  xserver-xephyr   <none>
>
> -- Configuration Files:
> /etc/lightdm/lightdm.conf changed [not included]
>
> -- debconf information excluded
>